
CoCoA-5 - Bug #1139

Radical problems

12 Dec 2017 14:58 - John Abbott

Status: Closed Start date: 12 Dec 2017

Priority: Urgent Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: enhancing/improving Estimated time: 1.51 hour

Target version: CoCoA-5.2.2 Spent time: 1.45 hour

Description

There are still problems with radical: sometimes it gives an empty list instead of an ideal.

/**/ I := ideal(x^2, x*y+1);

/**/ radical(I);

[]

Related issues:

Related to CoCoA-5 - Bug #1133: Radical bug Closed 01 Dec 2017

History

#1 - 12 Dec 2017 14:58 - John Abbott

- Related to Bug #1133: Radical bug added

#2 - 12 Dec 2017 15:06 - John Abbott

The problem seems to be when the ideal contains 1.

/**/ radical(ideal(x/x));

[]

#3 - 12 Dec 2017 16:58 - John Abbott

Here is another case where things go wrong:

/**/ use QQ[x,y,z,t];

/**/ I := ideal(2*x*y*z +2*y*t,  -y^3 -x*y*t +x*t^2,  x^2*z +2*x*y*z +y^2*t);

/**/ radical(I);

-->  ERROR: I don't know how to evaluate operator + between IDEAL and LIST

-->  WHERE: at line 1105 (column 19) of radical.cpkg5

#4 - 12 Dec 2017 17:15 - John Abbott

Much like the example above:

I := ideal(-x^3 -x*y^2 -x^2,  x^2*z -x^2 +y^2,  -x^2*t +x*t^2 -x*t);

I := ideal(y*z^3 +y^2*z*t,  x^2*z +2*y^2,  -x*y*t +y*z);
#5 - 12 Dec 2017 19:32 - Anna Maria Bigatti

another

/**/ I := ideal(x*(x^2 -y -x),  x^2*z  +y, t);

#6 - 13 Dec 2017 13:23 - Anna Maria Bigatti

- Status changed from New to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 100

- Estimated time set to 1.51 h

Fixed: all the problem was in ideal(1).

(there is a naughty trick in ElimRedundant(E))

Now radical(I) exits I immediately if IsOne(I).
